Invoice: exercise_03_13.o Invoice.o .gitignore
	g++ exercise_03_13.o Invoice.o  -o Invoice

exercise_03_13.ii: exercise_03_13.cpp Invoice.hpp
	g++ -E exercise_03_13.cpp -o exercise_03_13.ii

Invoice.ii: Invoice.cpp Invoice.hpp
	g++ -E Invoice.cpp -o Invoice.ii

exercise_03_13.s: exercise_03_13.ii
	g++ -S exercise_03_13.ii  -o exercise_03_13.s

Invoice.s: Invoice.ii
	g++ -S Invoice.ii  -o Invoice.s

exercise_03_13.o: exercise_03_13.s
	g++ -c exercise_03_13.s   -o exercise_03_13.o

Invoice.o: Invoice.s
	g++ -c Invoice.s   -o Invoice.o

.gitignore:
	echo Invoice > .gitignore

clean:
	rm -f *.ii *.s *.o *.out Invoice .gitignore

test1: Invoice
	./Invoice < test1.in > test1.out || echo "Test 1 is executing..."
	diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: main.ii main.s
.SECONDARY: main.ii main.s

